/*
 * Consultant.h    Exercise P-E-M-C, CRTP, Step 3.
 */
#ifndef CONSULTANT_H
#define CONSULTANT_H
#include "CRN.h"
#include "Date.h"
#include "Employee.h"
#include <string>

namespace IDA_Person
{
   class Consultant final : public Person_Cloneable<Employee, Consultant>
   {
   public:
      Consultant(const std::string&     name,
		 const IDA_Person::CRN& crn,
		 const IDA_Date::Date&  e_date,
		 int                    e_number,
		 double                 salary,
		 int                    dept = 0);

      ~Consultant() = default;

      std::string str() const override;
   };

} // namespace IDA_Person

#endif
